I'm starting with ACAD VBA, and made a small proggram to get images from a web server (map server) and place them in my drawing.

I'm having some probnlems with the GetPoint function, It isn't working as expected and sends me a nice error message "Error in method GetPoint in object IAcadUtility2"

Here's the code:

[VBA]
Dim basePntX as Variant

basePntX = ThisDrawing.Utility.GetPoint(, "Select lower left corner")
Me.txtX = basePntX(0)
Me.txtY = basePntX(1)
[/VBA]

Curiously, if I Debug the error and re-run that GetPoint line, It works as expected.

What I'm doing wrong ??

PS: If needed I can send the complete code by e.mail